# CollectionService

Package io.milvus.v2.service.collection

## Class CollectionService

- java.lang.Object
- - io.milvus.v2.service.BaseService
  - - io.milvus.v2.service.collection.CollectionService

    public class CollectionService
    extends BaseService

### Field Summary

Fields
`IndexService` `indexService`

### Fields inherited from class io.milvus.v2.service.BaseService

`convertUtils, dataUtils, rpcUtils, vectorUtils`

### Constructor Summary

Constructors
`CollectionService()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createCollection​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, CreateCollectionReq request)`
`void` `createCollectionWithSchema​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, CreateCollectionReq request)`
`CreateCollectionReq.CollectionSchema` `createSchema()`
`DescribeCollectionResp` `describeCollection​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub milvusServiceBlockingStub, DescribeCollectionReq request)`
`void` `dropCollection​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub milvusServiceBlockingStub, DropCollectionReq request)`
`GetCollectionStatsResp` `getCollectionStats​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, GetCollectionStatsReq request)`
`java.lang.Boolean` `getLoadState​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub milvusServiceBlockingStub, GetLoadStateReq request)`
`java.lang.Boolean` `hasCollection​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub milvusServiceBlockingStub, HasCollectionReq request)`
`ListCollectionsResp` `listCollections​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub milvusServiceBlockingStub)`
`void` `loadCollection​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub milvusServiceBlockingStub, LoadCollectionReq request)`
`void` `releaseCollection​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub milvusServiceBlockingStub, ReleaseCollectionReq request)`
`void` `renameCollection​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub milvusServiceBlockingStub, RenameCollectionReq request)`
`void` `waitForCollectionRelease​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub milvusServiceBlockingStub, ReleaseCollectionReq request)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### indexService

    public IndexService indexService

### Constructor Detail

#### CollectionService

    public CollectionService()

### Method Detail

#### createCollection

    public void createCollection​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                 CreateCollectionReq request)

#### createCollectionWithSchema

    public void createCollectionWithSchema​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                           CreateCollectionReq request)

#### listCollections

    public ListCollectionsResp listCollections​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub milvusServiceBlockingStub)

#### dropCollection

    public void dropCollection​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub milvusServiceBlockingStub,
                               DropCollectionReq request)

#### hasCollection

    public java.lang.Boolean hasCollection​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub milvusServiceBlockingStub,
                                           HasCollectionReq request)

#### describeCollection

    public DescribeCollectionResp describeCollection​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub milvusServiceBlockingStub,
                                                     DescribeCollectionReq request)

#### renameCollection

    public void renameCollection​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub milvusServiceBlockingStub,
                                 RenameCollectionReq request)

#### loadCollection

    public void loadCollection​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub milvusServiceBlockingStub,
                               LoadCollectionReq request)

#### releaseCollection

    public void releaseCollection​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub milvusServiceBlockingStub,
                                  ReleaseCollectionReq request)

#### getLoadState

    public java.lang.Boolean getLoadState​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub milvusServiceBlockingStub,
                                          GetLoadStateReq request)

#### getCollectionStats

    public GetCollectionStatsResp getCollectionStats​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                                     GetCollectionStatsReq request)

#### createSchema

    public CreateCollectionReq.CollectionSchema createSchema()

#### waitForCollectionRelease

    public void waitForCollectionRelease​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub milvusServiceBlockingStub,
                                         ReleaseCollectionReq request)